Loading...
Searching...
No Matches
Opm::RawKeyword Class Reference

## Public Types

using | const_iterator = std::vector< RawRecord >::const_iterator
using | iterator = std::vector< RawRecord >::iterator

## Public Member Functions

| RawKeyword (const std::string &name, const std::string &filename, std::size_t lineNR, bool raw_string, Raw::KeywordSizeEnum sizeType)
| RawKeyword (const std::string &name, const std::string &filename, std::size_t lineNR, bool raw_string, Raw::KeywordSizeEnum sizeType, const std::optional< std::size_t > &min_size, std::size_t size_arg)
bool | terminateKeyword ()
bool | addRecord (RawRecord record)
const std::string & | getKeywordName () const
Raw::KeywordSizeEnum | getSizeType () const
const RawRecord & | getFirstRecord () const
bool | isFinished () const
bool | rawStringKeyword () const
const KeywordLocation & | location () const
bool | can_complete () const
iterator | begin ()
iterator | end ()
const_iterator | begin () const
const_iterator | end () const
std::size_t | size () const

The documentation for this class was generated from the following files:

- opm/input/eclipse/Parser/raw/RawKeyword.hpp
- opm/input/eclipse/Parser/raw/RawKeyword.cpp